gromox-pff2mt(8)

Name
gromox-pff2mt — Utility for analysis/import of PFF/PST/OST files

Synopsis
gromox-pff2mt [-pst] [...] input.pst

Description
gromox-pff2mt reads a file that conforms to the Personal Folder File (PFF) and the Offline Folder File (OFF) format and re-exports the data in a Gromox-specific mailbox transfer format to stdout for consumption by pipe by the gromox-import(8) program. Optionally, pff2mt can print a tree summary of the PFF. The PFF format is used in several file types:

•   PAB (Personal Address Book)

•   PST (Personal Storage Table)

•   OST (Offline Storage Table)

By default, pff2mt creates a new folder "Import of <xyz.pst> on <date>" within IPM_SUBTREE ("Top of Information Store") and places all PFF objects into that new subfolder.

Note that folders of non-default mailboxes are stored in a flat fashion in OST. A secretary.ost file with hierarchy like "(Boss)\Inbox\2021\Invoices", "(Boss)\Inbox\2022\Invoices" is flattened to "(Boss)\Inbox", "(Boss)\2021", "(Boss)\Invoices", "Boss\2022" and "(Boss)\Invoices". The presence of two folders with the same name at the same level means gromox-import errors out when it tries to create a folder whose name already exists. This limits the usefulness of importing OST files.

Options

-p  Show properties in detail (enhances -t).

-s  Splice objects from the PFF into existing folders. Specifically, the PFF root is mapped to the store root, and special folders (Sent Items, Deleted Items, etc.) are mapped to special folders in the store if the PFF has the necessary information. PST files have no such mapping hint for Inbox; only OST do. When --with-hidden is not selected, -s will imply --without-hidden by default to avoid polluting e.g. "QuickStep settings" (which may already have settings).

-t  Show a diagnostic tree view of the source data as it is being read.

--loglevel n Maximum verbosity of general logging (not connected
    to -p, -t or -v). 1=crit, 2=error, 3=warn, 4=notice, 5=info, 6=debug.
    Default: 4 (notice)

--with-hidden, --without-hidden
    This option controls the import of folders that have PR_ATTR_HIDDEN=1.
    Default: if -s is present, import without hidden folders

--only-obj nid
    Extract just the object with the given PFF node id. This option may be specified multiple times. The objects will be unanchored; see gromox-import(8) for where messages are placed.

Examples
Import of a PFF-compatible file into a Gromox mailbox via exmdb transport:

gromox-pff2mt sample.pst | gromox-import -u user@domain.example

gromox-import has more target options; see its manpage.

Bugs
Embedded messages are treated as subitems by libpff. Luckily, the only consequence is that the tree view (-t) shows duplicate NID visits.

    \_ [id=21cee4h ntyp=unknown-4h type=appointment nset=1 nent=161]
        \_ [id=8005h ntyp=atx type=attachment nset=1 nent=19]
            \_ [attachment type=i embedded_msg]
                \_ [id=21cf04h ntyp=unknown-4h type=appointment nset=1
        \_ [id=21cf04h ntyp=unknown-4h type=appointment nset=1 nent=50]
        \_ [id=8025h ntyp=atx type=attachment nset=1 nent=19]
            \_ [attachment type=i embedded_msg]
                \_ [id=21cf24h ntyp=unknown-4h type=appointment nset=1
        \_ [id=21cf24h ntyp=unknown-4h type=appointment nset=1 nent=49]

See also
gromox(7), gromox-import(8)